Name:		amavis-stats
Version:	0.1.22
Release:	15.7
License:	GPL
Group:		Productivity/Networking/Email
Summary:	amavis statistics generator
URL:		http://osx.topicdesk.com/content/view/42/59/
Source0:	http://downloads.topicdesk.com/amavis_stats/%{name}-%{version}.tar.bz2
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.conf
Patch0:		%{name}-gzcat.patch
Patch1:		%{name}-share-makefile.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	gzip

%if 0%{?suse_version}
BuildRequires:	apache2
Requires:	apache2 php5-rrdtool
%define		apache_usr	wwwrun
%define		apache_grp	root
%endif

%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version}
BuildRequires:	httpd
Requires:	httpd
%define		apache_usr	apache
%define		apache_grp	root
%endif

%description
amavis-stats is a simple amavis statistics generator based on rrdtool.
It produces graphs of clean emails, spam emails and infected emails 
broken down by virus, from amavis log entries (such as /var/log/mail.info).


%prep
%setup
%patch0
%patch1
autoreconf -fi
%configure \
 --disable-php \
 --without-php \
 --enable-startup \
 --disable-rrdtool \
 --without-rrdtool \
 --with-user=%{apache_usr} \
 --with-group=%{apache_grp} \
 %if 0%{?suse_version}
 --with-log-file=/var/log/mail
 %else
 --with-log-file=/var/log/maillog
 %endif 

%build
%__make
%install
make DESTDIR=%{buildroot} install
rm -rf %{buildroot}%{_prefix}/doc
mkdir -p %{buildroot}%{_var}/cache/%{name}
mkdir -p %{buildroot}%{_var}/lib/%{name}
%if 0%{?suse_version}
%{__install} -D -m 0644 %{S:2} %{buildroot}/var/adm/fillup-templates/sysconfig.%{name}
%{__install} -D -m 0755 %{S:1} %{buildroot}%{_sysconfdir}/init.d/%{name}
%{__install} -D -m 0644 %{S:3} %{buildroot}%{_sysconfdir}/apache2/conf.d/%{name}.conf
%{__ln_s} -f %{_sysconfdir}/init.d/%{name} %{buildroot}%{_sbindir}/rc%{name}
%else
%{__install} -D -m 0644 %{S:2} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%{__install} -D -m 0755 %{S:1} %{buildroot}%{_sysconfdir}/init.d/%{name}
%{__install} -D -m 0644 %{S:3} %{buildroot}%{_sysconfdir}/httpd/conf.d/%{name}.conf
%endif
chmod -x doc/amavis-stats.pod doc/amavis-stats.txt AUTHORS BUGS ChangeLog README COPYING


%if 0%{?suse_version}
%post
%fillup_and_insserv %{name}

%preun
%stop_on_removal %{name}

%postun
%restart_on_update %{name}
%{insserv_cleanup}
%endif



%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/amavis-stats.pod doc/amavis-stats.txt AUTHORS BUGS ChangeLog README COPYING
%config(noreplace) %{_sysconfdir}/amavis-stats.conf
%config %{_sysconfdir}/amavis-stats.conf.default
%{_sbindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*
%dir %attr(0755,%{apache_usr},%{apache_grp}) %{_var}/cache/%{name}
%dir %attr(0755,%{apache_usr},%{apache_grp}) %{_var}/lib/%{name}
%if 0%{?suse_version}
%{_sbindir}/rc%{name}
/var/adm/fillup-templates/sysconfig.%{name}
%config(noreplace) %{_sysconfdir}/apache2/conf.d/%{name}.conf
%else
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%endif
%config(noreplace) %{_sysconfdir}/init.d/%{name}

%changelog
* Tue Oct 14 2008 Carsten Schoene <cs@linux-administrator.com>
- initial build
